import { t } from '@traversable/schema';
export const RAW = {
  any: {
    type: 'object',
    properties: {},
    nullable: true
  },
  null: {
    type: 'null',
    enum: [null]
  },
  boolean: {
    type: 'boolean'
  },
  integer: {
    type: 'integer'
  },
  number: {
    type: 'number'
  },
  string: {
    type: 'string'
  }
};
const JsonSchema_any = /*#__PURE__*/t.eq(RAW.any);
const JsonSchema_null = /*#__PURE__*/t.eq(RAW.null);
const JsonSchema_boolean = /*#__PURE__*/t.eq(RAW.boolean);
const JsonSchema_integer = /*#__PURE__*/t.eq(RAW.integer);
const JsonSchema_number = /*#__PURE__*/t.eq(RAW.number);
const JsonSchema_string = /*#__PURE__*/t.eq(RAW.string);
const JsonSchema_const = /*#__PURE__*/t.object({
  const: t.unknown
});
const JsonSchema_enum_ = /*#__PURE__*/t.object({
  enum: /*#__PURE__*/t.array(t.unknown, 'readonly')
});
const JsonSchema_enum = /*#__PURE__*/t.of(u => JsonSchema_enum_(u));
const JsonSchema_array = /*#__PURE__*/t.object({
  type: /*#__PURE__*/t.eq('array'),
  items: t.unknown
});
const JsonSchema_record_ = /*#__PURE__*/t.object({
  type: /*#__PURE__*/t.eq('object'),
  additionalProperties: t.unknown
});
const JsonSchema_record = u => JsonSchema_record_(u);
const JsonSchema_union_ = /*#__PURE__*/t.object({
  anyOf: /*#__PURE__*/t.array(t.unknown, 'readonly')
});
const JsonSchema_union = /*#__PURE__*/t.of(u => JsonSchema_union_(u));
const JsonSchema_intersect_ = /*#__PURE__*/t.object({
  allOf: /*#__PURE__*/t.array(t.unknown, 'readonly')
});
const JsonSchema_intersect = /*#__PURE__*/t.of(u => JsonSchema_intersect_(u));
const JsonSchema_object = /*#__PURE__*/t.object({
  type: /*#__PURE__*/t.eq('object'),
  required: /*#__PURE__*/t.array(t.string),
  properties: t.unknown
});
const JsonSchema_tuple = /*#__PURE__*/t.object({
  type: /*#__PURE__*/t.eq('array'),
  items: t.unknown,
  minItems: t.number,
  maxItems: t.number,
  additionalItems: /*#__PURE__*/t.eq(false)
});
const JsonSchema_nullary = /*#__PURE__*/t.union(JsonSchema_any, JsonSchema_null, JsonSchema_boolean, JsonSchema_integer, JsonSchema_number, JsonSchema_string);
const JsonSchema_special = /*#__PURE__*/t.union(JsonSchema_enum, JsonSchema_const);
const JsonSchema_unary = /*#__PURE__*/t.union(JsonSchema_array, JsonSchema_record, JsonSchema_union, JsonSchema_intersect, JsonSchema_tuple, JsonSchema_object);
export const is = {
  any: JsonSchema_any,
  null: JsonSchema_null,
  boolean: JsonSchema_boolean,
  integer: JsonSchema_integer,
  number: JsonSchema_number,
  string: JsonSchema_string,
  enum: JsonSchema_enum,
  const: JsonSchema_const,
  array: JsonSchema_array,
  record: JsonSchema_record,
  union: JsonSchema_union,
  intersect: JsonSchema_intersect,
  tuple: JsonSchema_tuple,
  object: JsonSchema_object,
  nullary: JsonSchema_nullary,
  unary: JsonSchema_unary,
  special: JsonSchema_special
};
//# sourceMappingURL=specification.js.map